Evaluate Thread
POSThttps://api.confident-ai.com/v1/evaluate/threads/{threadId}
Triggers evaluation of a thread using a specified metric collection and optional chatbot role instructions.
curl -X POST "https://api.confident-ai.com/v1/evaluate/threads/{threadId}" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>" \
-H "Content-Type: application/json" \
-d '{
"metricCollection": "Collection Name",
"chatbotRole": "You are a rich, powerful..."
}'{
"success": true,
"data": {
"id": "THREAD-ID"
},
"deprecated": false
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Path parameters
threadIdstringRequiredThe thread ID of the thread you wish to evaluate.
Request body
metricCollectionstringRequiredThis is the name of the multi-turn metric collection to evaluate the thread.
chatbotRolestringThe role or purpose of the chatbot in the thread.
Response
successbooleanThis is true if the thread was successfully evaluated.
dataobjectShow 1 propertyHide 1 property
idstringThis is the id of the thread generated by Confident AI, not to be confused with the thread id you supplied.
deprecatedbooleanThis is true if this endpoint is deprecated.